
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>PHP对文本数据库的基本操作方法 / iVAN</title>

    <meta name="description" content="PHP对文本数据库的基本操作方法 PHP实现对文本数据库的数据显示.加入.修改.删除.查询五大基本操作的方法 我用一个留言本程序作为例子,阐述PHP实现对文本数据库的数据显示.加入.修改.删除.查询五大基本操作的方法. 此文本数据库共有字段10个:客户IP.发言时间.客户名.客户EMAIL.客户主页地址.留言表情图片名.客户QQ.客户形象图片.留言内容.管理员回复内容. 1.加入数据程序段. $date=date(&quot;Y-m-d H:i:s&quot;);//取得系统时间 $ip = $HTTP_SERVER_VARS[ ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">PHP对文本数据库的基本操作方法</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>PHP实现对文本数据库的数据显示、加入、修改、删除、查询五大基本操作的方法 <br />我用一个留言本程序作为例子，阐述PHP实现对文本数据库的数据显示、加入、修改、删除、查询五大基本操作的方法。 <br />此文本数据库共有字段10个：客户IP、发言时间、客户名、客户EMAIL、客户主页地址、留言表情图片名、客户QQ、客户形象图片、留言内容、管理员回复内容。</p>
<p>1、加入数据程序段。</p>
<p>$date=date("Y-m-d H:i:s");//取得系统时间 <br />$ip = $HTTP_SERVER_VARS[REMOTE_ADDR]; //取得发言的IP地址 <br />$text=encode($gb_text);//去掉留言内容后面的空格. <br />$fp=fopen("gb.dat","a");//以只写模式打开gb.dat文本文件,文件指针指向文件尾部. <br />$str=$ip."　".$date."　".$gb_name."　".$gb_email."　".$gb_home."　".$face."　".$gb_qq."　".$head."　".$text."　".$reply."\n";//将所有留言的数据赋予变量$str，"　"的目的是用来今后作数据分割时的数据间隔符号。 <br />fwrite($fp,$str);//将数据写入文件 <br />fclose($fp);//关闭文件 <br />showmessage("留言成功!","index.php","3");//留言成功，3秒后自动返回主界面。 <br />其中的$gb_name 、$gb_email、$gb_home、$face、$gb_qq、$head、$gb_text、$reply是由发言表单传过来的数据。</p>
<p>2、数据显示程序段</p>
<p>＜? <br />if (file_exists("gb.dat")){//检测文件是否存在 <br />$array=file("gb.dat");//将文件全部内容读入到数组$array <br />$arr=array_reverse($array);//将$array里的数据安行翻转排列（即最后一行当第一行，依此类推）读入数组$arr的每一个单元（$arr[0]...）。 <br />$num=count($array);//获取数组$array里的信息数(一行为一条信息) <br />if ($num＞0){//如果信息数大于零（即文本数据库不为空） <br />$total=ceil($num/$pagesize);//计算总页数(取最大整数,即凡有小数点都进一取整，$pagesize为预设的每页显示的信息数) <br />if($page＜1){//如果当前页面数码号小于1 <br />$page=1;//则赋值为1 <br />} <br />$number=($page-1)*$pagesize;//计算当前所显示第一个留言的数码号（数码号从零开始，主要是达到与数组单元号对应的目的） <br />for($i=0;$i＜=$pagesize-1;$i++){//进入循环 <br />$row=explode("　",$arr[$number]);//以"　"作为分割符,分割数组$arr中每第$number个单元的数据,并将这些数据赋予数组$rom <br />list($ip,$datetime,$name,$email,$home,$face,$qq,$head,$text,$reply)=$row;//将数组$row里的单元数据按顺序赋予括号里的变量 <br />?＞ <br />＜img src=＜? echo $head ?＞ ＞//显示客户形象图片 <br />＜br＞ <br />＜font color="#0099CC"＞昵称【＜? echo $name ?＞＜font size="2"＞】＜br＞//显示客户名 <br />发表于：＜? echo $datetime ?＞//显示留言发表时间 <br />＜br＞ <br />＜img src=＜? echo $face ?＞＞//显示客户留言表情图片 <br />＜? echo $name ?＞说:＜? echo $text; ?＞//显示客户留言内容 <br />＜br＞ <br />＜? echo $reply ?＞//显示回复内容 <br />＜br＞ <br />＜a href="＜? echo $home ?＞" target="_blank"＞访问＜? echo $name ?＞的主页＜/a＞//客户主页的超连接 <br />＜a href="mailto:＜? echo $email ?＞"＞给＜? echo $name ?＞发信＜/a＞//客户E-MAIL的连接 <br />＜? echo $name ?＞的QQ号码是＜? echo $qq ?＞//显示客户的QQ号码 <br />＜? echo $name ?＞的IP地址为＜? echo $ip ?＞" //显示客户的IP地址 <br />＜a href="reply.php?time=＜? echo $datetime ?＞"＞回复＜/a＞//留言回复的连接语句 <br />＜a href="del.php?time=＜? echo $datetime ?＞"＞删除＜/a＞//留言删除的语句（以客户留言时间$datetime作为删除标识） <br />＜br＞ <br />＜? <br />if ($number == $num-1)//如果数组的单元号等于总留言数减一（因为单元号以零开始的，所以这意味着这是最后一条留言） <br />{ <br />break;//跳出循环 <br />} <br />$number = $number + 1; //数组单元号加1 <br />}//循环结束符 <br />} <br />if ($page ＜＞ 1)//如果当前页面数码号不等于1 <br />{ <br />$back = $page - 1;//当前页面数码号减1，并将此值赋予变量$back <br />echo "＜a href=index.php?page=1＞第一页＜/a＞";//显示第一页的连接 <br />echo " ＜a href=index.php?page=$back＞上一页＜/a＞" ;当前页面数码号等于$back，并显示其连接 <br />} <br />if ($page ＜＞ $total)//如果当前页面数码号不等于总页数号（最后一页数码号） <br />{ <br />$next = $page + 1;//当前页面数码号加1并赋予变量$next <br />echo " ＜a href=index.php?page=$next＞下一页＜/a＞" ;//显示下一页连接 <br />echo " ＜a href=index.php?page=$total＞最后一页＜/a＞"; 显示最后一页连接 <br />} <br />echo "页数：$page / $total";//显示当前页面数码号和显示最后一页数码号 <br />echo "共有 $num 条留言";//显示留言数信息 <br />} <br />else { <br />echo "＜center＞当前没有任何留言！＜/center＞";//如果文件内容为空则显示的信息 <br />} <br />else { <br />echo "＜center＞数据文件丢失，请联系管理员！或发布留言重新建立数据文件！＜/center＞";//如果文件不存在显示的信息 <br />}</p>
<p>3、数据修改程序段</p>
<p>$list=file("gb.dat");//读取整个gb.dat文件到数组$list,数组每一个元素为一条留言($list[0]是第一条留言的数据、$list[1]是第一条留言的数据..... <br />$n=count($list);//计算$list内容里的留言总数,并赋予变量$n <br />if ($n＞0){ //如果留言数大于0<br />$fp=fopen("gb.dat","w");//则以只写模式打开文件gb.dat <br />$gb_reply=encode($gb_reply); <br />for ($i=0;$i＜$n;$i++) {//进入循环 <br />if(eregi($ttime,$list[$i])){//将送来发留言时间$ttime与数组单元$list里内容进行字串匹配比较 <br />$f=explode("　",$list[$i]);//如果找到匹配，就以"　"作为分隔符,切开留言信息$list[$i](第$i条留言),并将这些数据赋予数组$f <br />$f[9]=$gb_reply;//将$f[9]（留言信息最后一条数据）用$gb_reply（回复内容）代替。 <br />$list[$i]=$f[0]."　".$f[1]."　".$f[2]."　".$f[3]."　".$f[4]."　".$f[5]."　".$f[6]."　".$f[7]."　".$f[8]."　".$f[9]."\n"; //将数组单元$list[$i]的内容用数组$f加上分隔符"　"代替（其中$f[9]是修改了的新数据）。 <br />break;//跳出循环 <br />} <br />}//循环结束符 <br />} <br />FOR($i=0;$i＜=$n;$i++){//进入循环 <br />fwrite($fp,$list[$i]);//将数组$list的每个单元为一行，写入文件gb.dat <br />}//循环结束符 <br />fclose($fp);//关闭文件 <br />showmessage("回复成功!","index.php");//回复成功，自动返回主界面。</p>
<p>4、数据删除程序段</p>
<p>$list=file("gb.dat");//读取整个gb.dat文件到数组$list,数组每一个元素为一条留言($list[0]是第一条留言的数据、$list[1]是第一条留言的数据..... <br />$n=count($list);//计算$list内容里的留言总数,并赋予变量$n <br />if ($n＞0){//如果留言数大于0 <br />$fp=fopen("gb.dat","w");//则以只写模式打开文件gb.dat <br />for ($i=0;$i＜$n;$i++) {//进入循环 <br />if(eregi($ttime,$list[$i])){//将发送过来发留言时间$ttime与数组$list[$i]里的字串进行匹配比较 <br />$list[$i]="";//如果匹配成功，则将$list[$i]清空（达到删除的目的） <br />break;//跳出循环 <br />} <br />}//循环结束符 <br />FOR($i=0;$i＜=$n;$i++){//进入循环 <br />fwrite($fp,$list[$i]);//将数组$list的每个单元为一行，写入文件gb.dat <br />} //循环结束符 <br />fclose($fp);//关闭文件 <br />showmessage("删除成功!","index.php");//删除成功，自动返回主界面。 <br />}</p>
<p>5、数据查询程序段</p>
<p>＜form action="search.php" method="post"＞ <br />＜font color="#0099CC" size="2"＞搜索关键字： <br />＜input name="found" type="text" id="found" style="background-color:#FFFFFF; color:#8888AA; border: 1 double #3399CC" size="12"＞ <br />＜input name="submit" type="image" src="http://www.webjx.com/htmldata/2006-11-27/image/search.gif" alt="留言搜索"＞ <br />＜/font＞＜/td＞<br />＜/tr＞ <br />＜/table＞ <br />＜/form＞ <br />////////////////////////////////上面是搜索表单语句段 <br />＜? <br />$id=0; <br />$list=file("gb.dat");//读取整个gb.dat文件到数组$list,数组每一个元素为一条留言($list[0]是第一条留言的数据、$list[1]是第一条留言的数据..... <br />$n=count($list);//计算$list内容里的留言总数,并赋予变量$n <br />$found=trim($found); <br />if (!$found){ //如果$found为假 <br />echo "＜center＞您没有输入任何关键字！＜/center＞";//作相关显示 <br />} <br />else { <br />if($n＞0){//如果留言数大于0 <br />for ($i=0;$i＜$n;$i++) {//进入循环 <br />if(eregi($found,$list[$i])){//输入的关键字与数组$list[$i]里的字串进行匹配比较 <br />$row=explode("　",$list[$i]); $id=1; //如果找到匹配，就以"　"作为分隔符,切开留言信息$list[$i](第$i条留言),并将这些数据赋予数组$row.并将变量$id赋予1，以便作为是否找到匹配的判断。 <br />list($ip,$datetime,$name,$email,$home,$face,$qq,$head,$text,$reply)=$row;//将数组$row里的单元数据按顺序赋予括号里的变量 <br />?＞ <br />＜img src=＜? echo $head ?＞ ＞//显示客户形象图片 <br />＜br＞ <br />＜font color="#0099CC"＞昵称【＜? echo $name ?＞＜font size="2"＞】＜br＞//显示客户名 <br />发表于：＜? echo $datetime ?＞//显示留言发表时间 <br />＜br＞ <br />＜img src=＜? echo $face ?＞＞//显示客户留言表情图片 <br />＜? echo $name ?＞说:＜? echo $text; ?＞//显示客户留言内容 <br />＜br＞ <br />＜? echo $reply ?＞//显示回复内容 <br />＜br＞ <br />＜a href="＜? echo $home ?＞" target="_blank"＞访问＜? echo $name ?＞的主页＜/a＞//客户主页的超连接 <br />＜a href="mailto:＜? echo $email ?＞"＞给＜? echo $name ?＞发信＜/a＞//客户E-MAIL的连接 <br />＜? echo $name ?＞的QQ号码是＜? echo $qq ?＞//显示客户的QQ号码 <br />＜? echo $name ?＞的IP地址为＜? echo $ip ?＞" //显示客户的IP地址 <br />＜a href="reply.php?time=＜? echo $datetime ?＞"＞回复＜/a＞//留言回复的连接语句 <br />＜a href="del.php?time=＜? echo $datetime ?＞"＞删除＜/a＞//留言删除的语句（以客户留言时间$datetime作为删除标识） <br />＜br＞ <br />＜? <br />} <br />}//循环结束符 <br />}} <br />if($id==0){ echo "＜center＞没有找到与关键字匹配的留言！＜/center＞";}//如果$id＝0则表示没找到匹配，显示相关提示 <br />?＞</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-22 09:47:50</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%87%e4%bb%b6/" title="文件">文件</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae/" title="数据">数据</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e7%bb%84/" title="数组">数组</a>, <a href="https://www.iamivan.net/tag/list/" title="list">list</a>, <a href="https://www.iamivan.net/tag/echo/" title="echo">echo</a>, <a href="https://www.iamivan.net/tag/%e5%ae%a2%e6%88%b7/" title="客户">客户</a>, <a href="https://www.iamivan.net/tag/php%e5%85%b3%e9%94%ae%e5%ad%97%e5%9b%9e%e5%a4%8d/" title="php关键字回复">php关键字回复</a>, <a href="https://www.iamivan.net/tag/list%e5%be%aa%e7%8e%af%e5%88%a0%e9%99%a4/" title="list循环删除">list循环删除</a>, <a href="https://www.iamivan.net/tag/%e6%98%be%e7%a4%balist%e4%bf%a1%e6%81%af/" title="显示List信息">显示List信息</a>, <a href="https://www.iamivan.net/tag/%e5%be%aa%e7%8e%af%e5%88%a0%e9%99%a4/" title="循环删除">循环删除</a>, <a href="https://www.iamivan.net/tag/%e7%95%99%e8%a8%80%e5%86%85%e5%ae%b9/" title="留言内容">留言内容</a>, <a href="https://www.iamivan.net/tag/list%e5%be%aa%e7%8e%af/" title="list循环">list循环</a>, <a href="https://www.iamivan.net/tag/%e5%be%aa%e7%8e%af%e5%8c%b9%e9%85%8d/" title="循环匹配">循环匹配</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>PHP对文本数据库的基本操作方法的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYB4nep.html" rel="bookmark">PHP实现对文本数据库的常用操作方法实例演示&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				PHP可以实现对文本数据库的数据的显示.加入.修改.删除.查询等五大基本操作. 我们以一个留言本程序为例,简述一下PHP实现对文本数据库的数据显示.加入.修改.删除.查询五大基本操作的方法. 此文本数据库共有字段10个:客户IP.发言时间.客户名.客户EMAIL.客户主页地址.留言表情图片名.客户QQ.客户形象图片.留言内容.管理员回复内容. 1.加入数据程序: $date=date(&quot;Y-m-d H:i:s&quot;);//取得系统时间 $ip = $HTTP_SERVER_VARS[REM			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/dzZ9Jqp.html" rel="bookmark">心得：PHP对文本数据库的五大基本操作方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				PHP实现对文本数据库的数据显示.加入.修改.删除.查询五大基本操作的方法 我用一个留言本程序作为例子,阐述PHP实现对文本数据库的数据显示.加入.修改.删除.查询五大基本操作的方法. 此文本数据库共有字段10个:客户IP.发言时间.客户名.客户EMAIL.客户主页地址.留言表情图片名.客户QQ.客户形象图片.留言内容.管理员回复内容. 1.加入数据程序段. $date=date(&quot;Y-m-d H:i:s&quot;);//取得系统时间 $ip = $HTTP_SERVER_VARS[REMOT			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bo3eOgb.html" rel="bookmark">PHP对文本数据库的五大基本操作方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				PHP实现对文本数据库的数据显示.加入.修改.删除.查询五大基本操作的方法 我用一个留言本程序作为例子,阐述PHP实现对文本数据库的数据显示.加入.修改.删除.查询五大基本操作的方法. 此文本数据库共有字段10个:客户IP.发言时间.客户名.客户EMAIL.客户主页地址.留言表情图片名.客户QQ.客户形象图片.留言内容.治理员回复内容. 1.加入数据程序段. $date=date(&quot;Y-m-d H:i:s&quot;);//取得系统时间 $ip = $HTTP_SERVER_VARS[REMOT			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwXoekb.html" rel="bookmark">CYQ&period;Data V5文本数据库技术原理解密</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言: 这两天有点感冒状态,除了以前折腾 微博粉丝精灵 腾到三更,最近也在折腾个别工具到四更,偶尔心来心潮,赶紧写写文章,最近有很多朋友对CYQ.Data V5里的文本数据库感兴趣,这里就给大伙说下文本数据库技术原理,给大伙解下密.     CYQ.Data 框架的稳定与前进: CYQ.Data 对于V4系列,版本号就在V4.55版本就不再提高了,主要是为了保留一个最稳定的版本,基本除了Bug修正,不会再有大于V4.N的版本号出现了. 而V5版本,这一两年来,事实上,代码改动相当大,内部类的结构			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9qbaNM5.html" rel="bookmark">PHP文本数据库的搜索方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				数据|数据库 &lt;? //PHP文本数据库的搜索方法 searchstr=(&quot;/&quot;.preg_quote($searchstr).&quot;/&quot;); //$searchstr是查找的关键字 $records=file($file);//获取所有的记录数 //$file是查找的数据文件 $search_reocrds=preg_grep ($searchstr, $records);//开始查找记录 //$search_reocrds为查找到的记录数 unset($rec			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9bBVJb7.html" rel="bookmark">win7系统加快关机响应速度的操作方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  在win7.8.10系统下,相对来说win7系统的关机速度是最慢的,有时用户在点击关机按钮后,需要等待个几秒后才有响应,故此如果想要对提示win7系统的关机速度,我们就需要对系统相关配置进行修改,那么如何配置win7系统设置呢?下面看小编为您提供的方法吧! win7系统加快关机响应速度的操作方法 1.按下&quot;Win+R&quot;呼出运行,输入&quot;gpedit.msc&quot;后回车,打开&quot;组策略编辑器&quot;; 2.在&quot;策略组编辑器&quot;中左侧列表依次			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/1MvGxap.html" rel="bookmark">电脑中HP Designjet Z5200进行固件升级的操作方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  HP Designjet Z5200是一款大幅面打印机,有用户需要在特殊情况下在电脑中使用这样的大幅面打印机进行打印.而有时需要对HP Designjet Z5200打印机进行固件升级,那么具体应该如何进行操作呢?有疑问的朋友这时就可以参考一下接下来提供的操作步骤. 1.在IE地址栏内输入Z5200的IP地址,进入EWS界面,点击设置--固件更新--选择文件; 2.浏览到固件文件夹中,选择.fmw文件并打开; 3.然后点击点击右下角的&quot;更新&quot;; 4.添加固件文件后就可以进行固件更新			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/XMlmqLp.html" rel="bookmark">Python常用的文件及文件路径、目录操作方法汇总介绍</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  这篇文章主要介绍了Python常用的文件及文件路径.目录操作方法汇总介绍,本文集合了最常用的一些文件和目录操作函数,并一一介绍它们的作用,需要的朋友可以参考下 python的文件和路径操作函数基本上位于os和os.path模块中. os.listdir(dirname):列出dirname下的目录和文件 os.path.isdir(name):判断name是不是一个目录,name不是目录就返回false os.path.isfile(name):判断name是不是一个文件,不存在name也返			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/VMr2PvM.html" rel="bookmark">Python中的二维数组的操作方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这篇文章主要介绍了一些Python中的二维数组的操作方法,是Python学习当中的基础知识,需要的朋友可以参考下 需要在程序中使用二维数组,网上找到一种这样的用法: ? 1 2 3 4 5 6 #创建一个宽度为3,高度为4的数组 #[[0,0,0], # [0,0,0], # [0,0,0], # [0,0,0]] myList = [[0] * 3] * 4 但是当操作myList[0][1] = 1时,发现整个第二列都被赋值,变成 ? 1 2 3 4 5 6 7 [[0,1,0],   [0			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrK0mp.html" rel="bookmark" class="title">IE浏览器如何禁用&OpenCurlyDoubleQuote;在保存密码之前询问我&rdquo;？</a>
					<div>
						  1. 点击桌面右侧&quot;设置&quot;,选择&quot;控制面板&quot;,点击&quot;网络和共享中心&quot; 2. 点击&quot;Internet 选项&quot; 3. 在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMyOA5z.html" rel="bookmark" class="title">Cyrus IMAP邮件服务器安装与配置（3）</a>
					<div>
						13.我应该把联机重做日志文件放到裸设备上吗? 这是一个极好的选择.联机重做日志文件是写操作非常频繁的文件,放到裸设备上非常合适.如果你使用了并行服务器选项,那么联机重做日志文件必须放到裸设备上面.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnaYAM.html" rel="bookmark" class="title">浅谈合格的SEOer所具备的四种基本能力</a>
					<div>
						做站长的每个都非常的不容易,因为网站需要优化.推广.维护.更新.分析等等林林种种的问题需要解决,而且对于个人站长来说,更是每天都有做不完的事.在享受站长这个称号之余,咱们来看看分析怎么才算是一个合格的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0zGB0vp.html" rel="bookmark" class="title">MAYA实现美女泡泡</a>
					<div>
						建立发射器: 最大数量设置: 选择场景中的粒子. 新粒子设定. 新粒子 给新粒子加属性. 这个用Ramp控制粒子型态. 创建creat ramp 播放 加场景 加背景. 材质 渲染 有很多的小细节,需 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4w63Jp.html" rel="bookmark" class="title">mysql安全设置</a>
					<div>
						使用MySQL,安全问题不能不注意.以下是MySQL提示的23个注意事项: 1.如果客户端和服务器端的连接需要跨越并通过不可信任的网络,那么就需要使用SSH隧道来加密该连接的通信. 2.用set pa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bElrOPz.html" rel="bookmark" class="title">Socket类中提供的支持异步操作的方法</a>
					<div>
						在网络编程中运用Socket,常常需要长期监听某个端口,以获得Socket连接,进而执行相关操作. 但此时,主线程就会被阻塞,无法做其他事情.为了解决这类问题,Socket类中提供了一些支持异步操作的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7keBKz.html" rel="bookmark" class="title">Windows系统注册表知识完全揭密</a>
					<div>
						  windows注册表是帮助windows控制硬件.软件.用户环境和windows界面的一套数据文件,注册表包含在windows目录下两个文件system.dat和user.dat里,还有它们的备份 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY2V3rp.html" rel="bookmark" class="title">ZBrush中表面噪波怎么运用</a>
					<div>
						  表面噪波可以给那些看起来不可能或太耗时的模型以创造力.你可以将它应用到整个模型,也可仅针对特定区域.创建生锈的金属,粉刷,油漆脱落,战斗损伤或更多. ZBrush中表面噪波怎么运用 笔刷,颜色和遮 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOwvY3z.html" rel="bookmark" class="title">javascript&plus;html5实现仿flash滚动播放图片的方法</a>
					<div>
						javascript+html5实现仿flash滚动播放图片的方法        本文实例讲述了javascript+html5实现仿flash滚动播放图片的方法.分享给大家供大家参考.具体如下: h ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBm4Vz.html" rel="bookmark" class="title">Photoshop制作红色放射光效背景图</a>
					<div>
						  效果图: 第一步:新建600*600的画布,白色填充,执行[滤镜-杂色-添加杂色],效果如下 执行[滤镜-模糊-动感模糊],效果如下 执行[滤镜-模糊-极坐标-扭曲],效果如下 第二步,给该图层添 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z72mGrp.html" rel="bookmark" class="title">用闪存Windows PE启动VMWare虚拟机</a>
					<div>
						  问:我想用闪存的Windows PE启动VMWare虚拟机,可是VMWare提示&quot;禁用USB设备的主机连接&quot;,请问我要怎样才能让虚拟机使用USB设备呢? 答:分析应该是VMWa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGPg9p.html" rel="bookmark" class="title">MAC用快捷键快速开启和关闭Safari私密浏览模式</a>
					<div>
						  想必大家都知道Safari 5里面引入了一项很赞的功能是私人浏览(你懂的,如果你不懂,你早晚会懂的).引用苹果自己的介绍: 当你开启私人浏览时,智能地址栏中将出现&quot;私人&quot;图标. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd6n62b.html" rel="bookmark" class="title">Mac打不开txt文件怎么办</a>
					<div>
						  有时候,苹果电脑 Mac OS X 系统上双击 txt 文件(尤其是 PC 传过来的),会弹出「未能打开文稿XXX,编码&quot;Unicode(UTF-8)不适用」的警告.一个纯文本文件,就是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRwQoap.html" rel="bookmark" class="title">javaee-各位大神，这道题思路是怎样的呀</a>
					<div>
						问题描述 各位大神,这道题思路是怎样的呀 基于JSP的公告系统2. 功能说明:1) 提供基于数据库的用户认证:只有正确的登录后才发布,编辑,删除公告:2) 提供用户注册页面,可以注册新的用户:3) 登 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Z4V4b.html" rel="bookmark" class="title">link环境下制作一款《订餐软件》，制作成网页版，请问&amp;amp&semi;amp&semi;quot&semi;andro&amp;amp&semi;amp&semi;quot&semi;如何实现手机和网页的对接？</a>
					<div>
						问题描述 link环境下制作一款&lt;订餐软件&gt;,制作成网页版,请问&quot;andro&quot;如何实现手机和网页的对接? link环境下制作一款&lt;订餐软件&gt;,制作成网页版, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXw96LM.html" rel="bookmark" class="title">apk文件检测出来的结果怎么会是这样。。</a>
					<div>
						问题描述 apk文件检测出来的结果怎么会是这样.. 360手机app检测http://scan.soui.360.cn/ (给出的结果,好像也没有多大的建议) 腾讯手机管家http://m.qq.co ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQrxZQM.html" rel="bookmark" class="title">c语言-求解！用C语言来解答该问题</a>
					<div>
						问题描述 求解!用C语言来解答该问题 你一定听说过&quot;数独&quot;游戏. 如[图1.png],玩家需要根据9×9盘面上的已知数字,推理出所有剩余空格的数字,并满足每一行.每一列.每一个同色 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pX0dyyp.html" rel="bookmark" class="title">Linux</a>
					<div>
						Java代码   Linux给用户添加sudo权限 2011-02-18 13:02:53   分类: LINUX   linux给用户添加sudo权限:    有时候,linux下面运行sudo命令 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRNJ9eM.html" rel="bookmark" class="title">vs2005自带的水晶报表，我用push模式，在页眉添加了text以及边框等，页眉不能显示了，已经试过很多次了，都无法解决，高手支点啊。</a>
					<div>
						问题描述 我用的是vs2005自带的水晶报表,用的是c#web开发,push模式的报表,一切都正常,但是就是页眉不能显示了,是想如下效果:编号物品的尺寸物品名称//页眉就是这个,是用文本对象写上去的0 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRdwop.html" rel="bookmark" class="title">hadoop使用（四）</a>
					<div>
						做一个网络爬虫的程序吧,根据客户的需求,要求把相关的内容爬取到本地 最终选择的是apache nutch,到目前为止最新的版本是1.3 1. Nutch是什么? Nutch是一个开源的网页抓取工具,主 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M12Z7dp.html" rel="bookmark" class="title">用友李友：&OpenCurlyDoubleQuote;幸福企业&rdquo;就是商业正道</a>
					<div>
						用友软件股份有限公司执行总裁李友在哈佛&lt;商业评论&gt;&quot;商业正道&quot;论坛上演讲9月22日,由全球最权威管理杂志哈佛&lt;商业评论&gt;中文版主办的2011&quot;商业 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQj80oM.html" rel="bookmark" class="title">求eWebEditor的使用手册</a>
					<div>
						问题描述 大家好啊,请问大家谁有eWebEditor的使用手册,能分享一下么?做毕业设计急用,谢谢各位啦~~~					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3ZeZ3z.html" rel="bookmark" class="title">云计算：最美丽的商业模式，遇上前途渺茫的业务</a>
					<div>
						云计算,源自互联网,而如今又被超越了互联网.被媒体和产业热炒了几年之后,大家发现,最早提出云计算,推广云计算的厂家似乎没有什么成功的项目,倒是云的概念被应用到互联网乃至IT之外的领域,比如云商,云电视 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MR1kkxb.html" rel="bookmark" class="title">Facebook败走印度 究其原因竟然是不懂文化</a>
					<div>
						Facebook正被拿来与狡诈邪恶的东印度公司相提并论,其董事马克·安德森(Marc Andreessen)被称为是反印度的种族主义者.印度激进分子效仿圣雄甘地1942年的&quot;英国退出印度&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0YWkPp.html" rel="bookmark" class="title">html如何动态生成一个等待效果，屏幕黑然后小圈再转，等ajax返回成功才消失</a>
					<div>
						问题描述 html如何动态生成一个等待效果,屏幕黑然后小圈再转,等ajax返回成功才消失 html如何动态生成一个等待效果,屏幕黑然后小圈再转,等ajax返回成功才消失 解决方案 请采纳! 直接用这个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJerQwp.html" rel="bookmark" class="title">整合三鹿之殇：逃离ST 三元急售华冠</a>
					<div>
						即将冠上ST帽子的三元股份终于出手. 11月2日,北京三元食品股份有限公司(600429.SH)公告将旗下全资子公司--北京华冠乳制品有限责任公司100%股权挂牌转让,底价不低于3.5亿元. 自收购三 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boqPxXp.html" rel="bookmark" class="title">SSH的编码   和  ajax乱码问题</a>
					<div>
						SSH的编码   和  乱码问题 乱码的原因是两次编码格式不一样 首先要明白过滤器是先进后出(即在jsp页面 请求action的时候 排在前面的先执行,排在后面的后执行.当服务器响应jsp的时候,排在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNm3eob.html" rel="bookmark" class="title">如何给英特尔致命一击&mdash;&mdash;高通公布10纳米ARM服务器芯片</a>
					<div>
						高通公司高级副总裁Anand Chandrasekher手持一块Centriq 2400芯片样品. 高通公司表示其已经开始向客户提供Centriq 2400样品,即由该公司打造的10纳米制程64位AR ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRdODKz.html" rel="bookmark" class="title">腾讯为什么要QQ的&OpenCurlyDoubleQuote;关闭&rdquo;？</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 不记得是哪次 参加优酷的活动,应该 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8GWy4M.html" rel="bookmark" class="title">新浪微博应该何去何从</a>
					<div>
						近几年来,新浪微博资的本市场估值正在一天天的下降.把新浪逼得什么招都使出来了,卖广告.会员服务,最近又开始和大号分成,不过做了那么多,成效却是很少的. 纵观互联网领域,我们可以看到,2C的钱是很难赚的 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
